org.apache.catalina.authenticator

## Class DigestAuthenticator.NonceInfo

- java.lang.Object
- - org.apache.catalina.authenticator.DigestAuthenticator.NonceInfo

- Enclosing class:
    DigestAuthenticator

      public static class DigestAuthenticator.NonceInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonceInfo(long currentTime, int seenWindowSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()`
    `boolean` | `nonceCountValid(long nonceCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonceInfo

          public NonceInfo(long currentTime,
                           int seenWindowSize)

  - ### Method Detail

    - #### nonceCountValid

          public boolean nonceCountValid(long nonceCount)

    - #### getTimestamp

          public long getTimestamp()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.